Check My DNS
DocumentationAPI Reference
DocumentationAPI Reference
  1. v1.0
  • v1.0
    • DNS Checker
      POST
    • Email Checker
      POST
    • Blacklist & Spam Checker
      POST
    • Security Checker
      POST
DocumentationAPI Reference
DocumentationAPI Reference
  1. v1.0

Blacklist & Spam Checker

POST
https://eu.api.checkmydns.online/v1.0/spam-check
Maintainer:Not configured

Request

Body Params multipart/form-dataRequired

Responses

🟢200
application/json
Body

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://eu.api.checkmydns.online/v1.0/spam-check' \
--form 'target="codeforgex.studio"' \
--form 'mode="ip"'
Response Response Example
200 - Blacklists Found
{
    "checked_value": "pri1.bluehost.com.dnsbl.sorbs.net",
    "type": "domain",
    "ip": null,
    "domain": "pri1.bluehost.com.dnsbl.sorbs.net",
    "total_lists": 9,
    "listed_count": 1,
    "results": [
        {
            "name": "SORBS DNSBL",
            "host": "dnsbl.sorbs.net",
            "listed": false,
            "response": null,
            "reason": null,
            "list_url": "https://www.sorbs.net/"
        },
        {
            "name": "SpamCop",
            "host": "bl.spamcop.net",
            "listed": false,
            "response": null,
            "reason": null,
            "list_url": "https://www.spamcop.net/"
        },
        {
            "name": "Barracuda",
            "host": "b.barracudacentral.org",
            "listed": false,
            "response": null,
            "reason": null,
            "list_url": "https://www.barracudacentral.org/rbl"
        },
        {
            "name": "PSBL",
            "host": "psbl.surriel.com",
            "listed": false,
            "response": null,
            "reason": null,
            "list_url": "https://psbl.org/"
        },
        {
            "name": "UCEPROTECT Level 1",
            "host": "dnsbl-1.uceprotect.net",
            "listed": false,
            "response": null,
            "reason": null,
            "list_url": "https://www.uceprotect.net/"
        },
        {
            "name": "SpamRATS",
            "host": "spam.rbl.blockedservers.com",
            "listed": false,
            "response": null,
            "reason": null,
            "list_url": "https://www.spamrats.com/"
        },
        {
            "name": "Hostkarma",
            "host": "hostkarma.junkemailfilter.com",
            "listed": true,
            "response": "127.0.0.5",
            "reason": "No Blacklist listed sorbs.net See http://wiki.junkemailfilter.com/index.php/Spam_DNS_Lists",
            "list_url": "http://wiki.junkemailfilter.com/index.php/Spam_DNS_Lists"
        },
        {
            "name": "Invaluement",
            "host": "dnsbl.invaluement.com",
            "listed": false,
            "response": null,
            "reason": null,
            "list_url": "https://www.invaluement.com/"
        },
        {
            "name": "Spam Eating Monkey",
            "host": "bl.spameatingmonkey.net",
            "listed": false,
            "response": null,
            "reason": null,
            "list_url": "https://spameatingmonkey.com/"
        }
    ]
}
Modified at 2026-03-05 20:36:05
Previous
Email Checker
Next
Security Checker
Built with